[CentOS-devel] Upgrading postgresql (Re: CentOS/RHEL 5.3)

Jeff Johnson n3npq at mac.com
Thu Jan 22 21:04:23 UTC 2009


On Jan 22, 2009, at 2:23 PM, Les Mikesell wrote:

> Jeff Johnson wrote:
>>
>> On Jan 22, 2009, at 2:00 PM, Les Mikesell wrote:
>>>>
>>>
>>> I'd just like to see a realistic approach to updates via packages.
>>>
>>
>> Reality check:
>>
>> You have a postgres upstream devel with years of experience
>> packaging postgres and me both saying
>>    Don't attempt postgres database upgrades in packaging.
>>
>> But create your own virtuality reality approach if you want.
>>
>
> I think you missed my point, which is that RPM packaging doesn't  
> provide
> facilities for what needs to be done.  Postgres upstream is just more
> honest than most in recognizing the problem.  It's not the only thing
> that ever has non-backward-compatible updates.
>

I believe that one can easily conclude
	RPM packaging doesn't provide facilities for what needs to be done
from
	Don't attempt postgres database upgrades in packaging.

You the one who wishes
	I'd just like to see a realistic approach to updates via packages.

That Does Not Compute with current RPM facilities and existing postgres
upgrade mechanisms.

73 de Jeff
-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/pkcs7-signature
Size: 4664 bytes
Desc: not available
Url : http://lists.centos.org/pipermail/centos-devel/attachments/20090122/ce780055/attachment.bin 


More information about the CentOS-devel mailing list